TransformerUtils (Mule ESB 2.2.1 API)
Keywords: org.mule.transformer.TransformerUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer
Class TransformerUtils

    java.lang.Object
      org.mule.transformer.TransformerUtils

    public class TransformerUtils

extends Object

Nested Class Summary
`protected static interface` | `TransformerUtils.TransformerSource`

Field Summary
`static String` | `COMMA`

Constructor Summary
`TransformerUtils()`

Method Summary
`static Transformer` | `firstOrNull(List transformers)`
`static List` | `getDefaultInboundTransformers(TransportServiceDescriptor serviceDescriptor)`
`static List` | `getDefaultOutboundTransformers(TransportServiceDescriptor serviceDescriptor)`
`static List` | `getDefaultResponseTransformers(TransportServiceDescriptor serviceDescriptor)`
`static List` | `getTransformers(String names)` Builds a list of Transformers.
`protected static List` | `getTransformersFromSource(TransformerUtils.TransformerSource source)`
`static void` | `initialiseAllTransformers(List transformers)`
`static boolean` | `isSourceTypeSupportedByFirst(List transformers, Class clazz)`
`static String` | `toString(List transformers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMA

    public static final String COMMA

See Also:
  Constant Field Values

Constructor Detail

### TransformerUtils

    public TransformerUtils()

Method Detail

### initialiseAllTransformers

    public static void initialiseAllTransformers(List transformers)
                                          throws InitialisationException

  Throws:
    `InitialisationException`

### toString

    public static String toString(List transformers)

### firstOrNull

    public static Transformer firstOrNull(List transformers)

### isSourceTypeSupportedByFirst

    public static boolean isSourceTypeSupportedByFirst(List transformers,
                                                       Class clazz)

### getTransformersFromSource

    protected static List getTransformersFromSource(TransformerUtils.TransformerSource source)

### getDefaultInboundTransformers

    public static List getDefaultInboundTransformers(TransportServiceDescriptor serviceDescriptor)

### getDefaultResponseTransformers

    public static List getDefaultResponseTransformers(TransportServiceDescriptor serviceDescriptor)

### getDefaultOutboundTransformers

    public static List getDefaultOutboundTransformers(TransportServiceDescriptor serviceDescriptor)

### getTransformers

    public static List getTransformers(String names)
                                throws DefaultMuleException

  Builds a list of Transformers.

  Parameters:
    `names` - - a list of transformers separated by commans
  Returns:
    a list (possibly empty) of transformers or
  Throws:
    `DefaultMuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.